<?php

namespace FiloBlu\ExtAmastyGeoipRedirect\Model\CountryContinent\Source;

use FiloBlu\Storelocator\Model\Stores;
use Magento\Framework\Data\OptionSourceInterface;

/**
 * Class Continent
 * @package FiloBlu\ExtAmastyGeoipRedirect\Model\CountryContinent\Source
 */
class Continent implements OptionSourceInterface
{
    /**
     * @var Stores
     */
    protected $continent;

    /**
     * Constructor
     *
     * @param Stores $store
     */
    public function __construct(\FiloBlu\ExtAmastyGeoipRedirect\Model\Continent $continent)
    {
        $this->continent = $continent;
    }

    /**
     * Get options
     *
     * @return array
     */
    public function toOptionArray()
    {
        $options[] = [];

        $availableOptions = $this->continent->getAvailableContinent();

        foreach ($availableOptions as $value) {
            $options[] = [
                'label' => $value['continent'],
                'value' => $value['continent_id'],
            ];
        }
        return $options;
    }
}
